Skip to content

Add test numbers to sender for project
GA

Request

Returns updated test number states of sender for a project.

Please note that if you re-add verified number, state will be changed to unverified and an invite to become a tester will be sent again.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

senderIdstringrequired
Bodyapplication/jsonrequired

Test numbers to add

testNumbersArray of strings, (e.164 phone number), <= 200 items, uniquerequired

Phone numbers for testing. An agent can send 20 tester requests each day with a total maximum of 200 tester requests.

Example body request to add test numbers.

curl -i -X POST \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/rcs/senders/{senderId}/testNumbers' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "testNumbers": [
      "+48777777777"
    ]
  }'

Responses

Test number states

Bodyapplication/json
testNumbersArray of objects(RcsTestNumberStateDto)required

Test numbers states.

Response

Test number states.

{ "testNumbers": [ { … }, { … }, { … } ] }
We'd love to hear from you!
Rate this content: